gstreamer-plugins-farstream-0.2.8-lp150.1.11.x86_64.rpm


Advertisement

Description

gstreamer-plugins-farstream - GStreamer Plug-Ins for videoconferencing

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package name gstreamer-plugins-farstream
Package version 0.2.8
Package release lp150.1.11
Package architecture x86_64
Package type rpm
Installed size 385.86 KB
Download size 133.16 KB
Official Mirror widehat.opensuse.org
Farstream is a collection of GStreamer modules and libraries for
videoconferencing.

Alternatives

Package Version Architecture Repository
gstreamer-plugins-farstream - - -

Requires

Name Value
gstreamer-plugins-bad >= 0.11
gstreamer-plugins-good >= 0.11
libc.so.6(GLIBC_2.7)(64bit) -
libfarstream-0.2.so.5()(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgstbase-1.0.so.0()(64bit) -
libgstreamer-1.0.so.0()(64bit) -
libgstrtp-1.0.so.0()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libnice.so.10()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -

Provides

Name Value
gstreamer-plugins-farstream = 0.2.8-lp150.1.11
gstreamer-plugins-farstream(x86-64) = 0.2.8-lp150.1.11
libfsmsnconference.so()(64bit) -
libfsrawconference.so()(64bit) -
libfsrtpconference.so()(64bit) -
libfsrtpxdata.so()(64bit) -
libfsvideoanyrate.so()(64bit) -

Obsoletes

Name Value
libgstfarsight-0_10-0 -

Download

Type URL
Binary Package gstreamer-plugins-farstream-0.2.8-lp150.1.11.x86_64.rpm
Source Package farstream-0.2.8-lp150.1.11.src.rpm

Install Howto

Install gstreamer-plugins-farstream rpm package:

# zypper install gstreamer-plugins-farstream

Files

Path
/usr/lib64/gstreamer-1.0/libfsmsnconference.so
/usr/lib64/gstreamer-1.0/libfsrawconference.so
/usr/lib64/gstreamer-1.0/libfsrtpconference.so
/usr/lib64/gstreamer-1.0/libfsrtpxdata.so
/usr/lib64/gstreamer-1.0/libfsvideoanyrate.so

Changelog

2016-03-12 - zaitor@opensuse.org
- Update to version 0.2.8:
+ Add "require-encryption" parameter to ignore unencrypted
packets.
+ Enable building static GStreamer and transmitter plugins.
+ Make OPUS plugin work and select it as default codec.
+ Bug fixes.
2015-04-01 - fcrozat@suse.com
- Add farstream-plugin-path.patch: use library policy compliant
path name for plugin.
2015-01-29 - zaitor@opensuse.org
- Update to version 0.2.7:
+ Add "send-rtcp-mux" parameters to fsrtpsession.
+ Add MTU and buffer splitting to rtpxdatapay.
+ Fix crash if srtpenc/dec is missing.
+ Bug fixes.
- Rename libfarstream-0_2-2 to libfarstream-0_2-5, following
upstreams soname bump.
2014-10-19 - zaitor@opensuse.org
- Update to version 0.2.6:
+ Add ICE-TCP support.
+ Now require libnice 0.1.8.
- Changes from version 0.2.5:
+ Add SRTP support.
+ Add API to set allowed input/output caps.
+ Make it possible to have input that is not a raw format.
+ Support formats with no encoders/decoders.
+ Add payloader for the Microsoft Lync x-data format.
+ Ignore ICE-TCP in new libnice.
+ Fix misc bugs.
+ Now require GStreamer 1.4.
2014-09-08 - hrvoje.senjan@gmail.com
- Add baselibs.conf: provide multi-arch packages.
2014-05-09 - zaitor@opensuse.org
- Update to version 0.2.4:
+ Install gtk-doc correctly.
+ Adapt SSRC handling to GStreamer 1.2 and newer.
+ Fix BSD build.
+ Assorted bug fixes.
2013-04-16 - dimstar@opensuse.org
- Update to version 0.2.3:
+ Use generic marshallers.
+ Fix building by gold linker.
+ Fix leaks, found by Havard Graff and others.
+ Fix building with automake 1.13.
+ Lower PulseAudio latencies.
+ Fix codec intersection.
+ Add API to make the API be introspection accessible, fixing the
Python example.
+ Use GSocket and other win32 portability improvements.
2012-11-15 - dimstar@opensuse.org
- Update to version 0.2.2:
+ Update and fix the default properties for vp8enc.
2012-10-05 - dimstar@opensuse.org
- Update to version 0.2.1:
+ Fix bug where nothing would be sent.
+ Fix various bugs in ElementAddedNotifier.
+ Fix the GPL headers.
+ Misc bug fixes.
2012-09-25 - dimstar@opensuse.org
- Update to version 0.2.0:
+ Official GStreamer 1.0 release.
+ Ported python example to GStreamer 1.0 and GTK+ 3.
+ Use GLib 2.32 APIs.
+ Made API more introspection friendly.
+ Ignore Error messages from the decoders.
+ Prefer Opus and VP8.
+ Various bug fixes.
- Rename libfarstream-0_2-1 to libfarstream-0_2-2, following
upstreams soname bump.

See Also

Package Description
gstreamer-plugins-farstream-32bit-0.2.8-lp150.1.11.x86_64.rpm GStreamer Plug-Ins for videoconferencing
gstreamer-plugins-good-1.12.5-lp150.1.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-good-32bit-1.12.5-lp150.1.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-good-doc-1.12.5-lp150.1.1.x86_64.rpm Documentation for gstreamer-plugins-good
gstreamer-plugins-good-extra-1.12.5-lp150.1.1.x86_64.rpm Complementary plugins for gstreamer-plugins-good
gstreamer-plugins-good-extra-32bit-1.12.5-lp150.1.1.x86_64.rpm Complementary plugins for gstreamer-plugins-good
gstreamer-plugins-good-jack-1.12.5-lp150.1.1.x86_64.rpm Jack plugin for gstreamer-plugins-good
gstreamer-plugins-good-jack-32bit-1.12.5-lp150.1.1.x86_64.rpm Jack plugin for gstreamer-plugins-good
gstreamer-plugins-good-lang-1.12.5-lp150.1.1.noarch.rpm Translations for package gstreamer-plugins-good
gstreamer-plugins-libav-1.12.5-lp150.2.1.x86_64.rpm A ffmpeg/libav plugin for GStreamer
gstreamer-plugins-libav-32bit-1.12.5-lp150.2.1.x86_64.rpm A ffmpeg/libav plugin for GStreamer
gstreamer-plugins-libav-doc-1.12.5-lp150.2.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-qt-1.2.0-lp150.1.8.x86_64.rpm C++/Qt bindings for GStreamer
gstreamer-plugins-qt-devel-1.2.0-lp150.1.8.x86_64.rpm Include files and libraries mandatory for development
gstreamer-plugins-qt5-1.2.0-lp150.1.6.x86_64.rpm C++/Qt bindings for GStreamer
Advertisement
Advertisement